#
# spec file for package perl-Ogg-Vorbis-Header (Version 0.03)
#
# Copyright (c) 2011 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.

Name:           perl-Ogg-Vorbis-Header
Version:        0.03
Release:        1.2
License:        Distributable, see LICENSE.GPL
%define cpan_name Ogg-Vorbis-Header
Summary:        An object-oriented interface to Ogg Vorbis
Url:            http://search.cpan.org/dist/Ogg-Vorbis-Header/
Group:          Development/Libraries/Perl
Source0:        http://www.cpan.org/authors/id/D/DB/DBP/Ogg-Vorbis-Header-%{version}.tar.gz
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl-Inline
Requires:       perl-Inline
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This module presents an object-oriented interface to Ogg Vorbis files which
allows user to view Vorbis info and comments and to modify or add comments.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes LICENSE.GPL README test.ogg

%changelog
* Fri Jul  8 2011 malcolmlewis@opensuse.org
- initial package 0.03
  * created by cpanspec 1.78.03
